/*
 * Svjatoslav Commons - shared library of common functionality.
 * Copyright ©2012-2017, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 */

package eu.svjatoslav.commons.data;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.List;

public class EnhancedDataOutputStream extends DataOutputStream {

    public EnhancedDataOutputStream(final OutputStream out) {
        super(out);
    }

    public void writeIntegerList(final List<Integer> list) throws IOException {
        writeInt(list.size());

        for (final Integer integer : list)
            writeInt(integer);
    }

    public void writeString(final String string) throws IOException {
        if (string == null) {
            writeInt(-1);
            return;
        }

        final byte[] bytes = string.getBytes("UTF-8");

        writeInt(bytes.length);
        write(bytes);
    }

}
