/*
 * Svjatoslav Commons - shared library of common functionality.
 * Copyright ©2012-2017, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 */

package eu.svjatoslav.commons.data;

public class HexConverter {

    static final String hexCharacters = "0123456789ABCDEF";

    public static String byteArrayToHex(final byte[] bytes) {

        if (bytes == null)
            return null;

        final StringBuilder result = new StringBuilder(2 * bytes.length);

        for (final byte b : bytes)
            result.append(hexCharacters.charAt((b & 0xF0) >> 4)).append(
                    hexCharacters.charAt((b & 0x0F)));

        return result.toString();
    }

}
