/*
 * Svjatoslav Commons - shared library of common functionality.
 * Copyright ©2012-2017, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 */

package eu.svjatoslav.commons.string;

import org.junit.Test;

import static org.junit.Assert.fail;

public class WildCardMatcherTest {


    private static void testWildcard(final String string, final String pattern,
                                     final boolean expectedResult) {

        final boolean result = WildCardMatcher.match(string, pattern);

        if (result != expectedResult)
            fail("Wildcard match failed.");

    }

    @Test
    public void test() {

        testWildcard("IMG_9770.JPG", "*.J*", true);
        testWildcard("1", "1", true);
        testWildcard("1", "*", true);
        testWildcard("f", "1", false);
        testWildcard("Hello !", "Hell*!***", true);
        testWildcard("Hello !", "Hell*!", true);
        testWildcard("Hello !", "Hell*", true);
        testWildcard("Hello !", "Hell", false);
        testWildcard("Hello !", "* *", true);

    }

}
